<?php
    
/*
***************************************
*
* PrestaShop - Open Source eCommerce Solution
* @link:               www.prestashop.com
*
* @script name:        PrestaShop TrustPay Payment
* @purpose:            Module for accepting payments by TrustPay multi-payment gateway (member of Meracrest group)
* @type:               Payment module
* @author:             Gabriel Schwardy ( addons@caleydon.com )
* @copyright:          (c) 2001-2020 Caleydon s.r.o. ( www.caleydon.com )
*
***************************************
*/

/**
 * @since 1.5.0
 */

class TrustpayResultModuleFrontController extends ModuleFrontController 
{
    public $ssl = true;
    public $display_column_left = false;
    public $display_column_right = false;

    /**
     * @see FrontController::initContent()
     */
    public function initContent()
    {
        parent::initContent();

        $cart = $this->context->cart;

        /* PrestaShop 1.6 */
//      $order_id = Order::getOrderByCartId(Tools::getValue('cart'));
        
        /* PrestaShop 1.7 */
        $order_id = Order::getIdByCartId(Tools::getValue('cart'));
 
        $order_reference = $this->module->_getReferenceByOrderId($order_id);

        $this->context->smarty->assign(array(
            'module_name' => $this->module->displayName,
            'module_filename' => $this->module->name,
            'theme' => $this->module->THEME,
            'nbProducts' => $cart->nbProducts(),
            'order_id' => $order_id,
            'order_reference' => $order_reference,
            'order_name' => $this->module->getL('order_nbr').' '.$order_reference,
            'prid' => Tools::getValue('prid'),
            'payment_status' => Tools::getValue('status'),
            'contact_url' => $this->context->link->getPageLink('contact', true),
            'history_url' => $this->context->link->getPageLink('history', true),
            'order_url' => $this->context->link->getPageLink('order', null, null, 'step=3'),
            'trustpay_logo' => Media::getMediaPath(_PS_MODULE_DIR_.$this->module->name.'/views/img/'.$this->module->name.'-icon.png'),
            'trustcard_logo' => Media::getMediaPath(_PS_MODULE_DIR_.$this->module->name.'/views/img/trustcard-icon.png'),
        ));

        $this->setTemplate('module:trustpay/views/templates/front/result.tpl');
    }
}
/* EOF */