<?php
function siteURL() 
{
  $protocol = $_SERVER['REQUEST_SCHEME'] . '://';
  $domainname = $_SERVER['HTTP_HOST'].'/modules/trustpay/response/';
  return $protocol.$domainname;
}
define('SITE_URL', siteURL());
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>PrestaShop 1.7.x: TrustPay</title>
<meta name="Robots" content="noindex, nofollow">
<meta name="Googlebot" content="noindex, nofollow, noarchive, snippet">
<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<style type="text/css">
body, td, th {
  font-family: Segoe, "Segoe UI", "DejaVu Sans", "Trebuchet MS", Verdana, sans-serif;
  font-size: 15px;
  color: #000;
}
#container {
  width: 900px;
  display: block;
  margin: 20px auto 100px;
}
#container h1 {
  background-color: #F3FEE0;
  padding: 5px 15px;
  font-size: 25px;
  text-align: center;
}
h1 span {
  font-size: 70%;
}
#container h2 {
  background-color: #FF9;
  padding: 5px 15px;
  font-size: 20px;
}
div.head {
  background-color: #CBE2FE;
  padding: 5px 15px;
  font-size: 26px;
  text-align: center;
}
div.headlinks {
  text-align: center;
  margin: 15px 0;
}
div.divider {
  border-bottom: 2px solid #CCC;
}
#container ul li, #container ol li {
  margin-bottom: 5px;
}
#container ul li .zoznam li, #container ol li .zoznam li {
  margin-bottom: 0;
}
span.lastupdate {
  font-size: 12px;
}
a:link {
  color: #069;
}
a:visited {
  color: #069;
}
a:hover {
  color: #06C;
}
a:active {
  color: #06C;
}
p {
  margin-left: 15px;
}
iframe.video-responsive {
  display: block;
  max-width: 100%;
  text-align: center;
  margin: 0 auto 15px auto; }
</style>
</head>

<body>
<div id="container">
  <div class="head">Dokumentácia / Documentation<br>
    <span class="lastupdate">posledná aktualizácia / last update: 05.05.2020</span></div>
  <div class="headlinks"> <a href="#slovensky" title="v slovenskom jazyku">v slovenskom jazyku</a><br>
    <!--<a href="#english" title="in english language">in english language</a><br>-->
  </div>
  <a name="slovensky"></a>
  <h1>TrustPay pre PrestaShop 1.7.x<br>
    <span>API verzia 2</span></h1>
  <p><strong>Účel modulu:</strong> Platobný modul PrestaShop pre príjem platieb prostredníctvom TrustPay (online bankové prevody a interné prevody medzi TrustPay účtami) a bankovými kartami VISA, VISA Electron, MasterCard a Maestro (TrustCard). Podporuje platbu cez Apple Pay.</p>
  <p>Platobná brána <strong>TrustPay</strong> je slovenská banková služba, ktorá je schválená a regulovaná Národnou bankou Slovenska. Služba <strong>TrustPay</strong> umožňuje zákazníkom realizáciu <strong> online platieb</strong> a <strong>platieb kartou</strong> za zakúpený tovar vo Vašom e-shope, v prospech Vášho  účtu vedeného v TrustPay. Tento modul zabezpečuje šifrovanú komunikáciu medzi Vašim internetovým obchodom PrestaShop a webom <strong>TrustPay</strong> - trustpay.eu.</p>
  <h2><i class="fa fa-check-circle"></i> Vlastnosti modulu</h2>
  <ul>
    <li>kompatibilita: <strong>PrestaShop 1.7.x</strong></li>
    <li>podpora funkcie <strong>Multistore</strong> (viac obchodov)</li>
    <li><strong>mechanizmus objednávania</strong>
        <ul>
        <li>vytvorenie objednávky po platbe <em>(identifikátorom platby je číslo nákupného košíka)</em></li>
      </ul>
    </li>
    <li><strong>inline platba</strong> - vykonanie platby bez opustenia stránky e-shopu</li>
    <li>spĺňa nariadenie European Economic Area - Strong Customer Authentication (SCA) účinné od 1.10.2020.</li>
    <li>automatická implementácia príslušných nových stavov objednávok a notifikačných e-mailových šablón do PrestaShop-u</li>
    <li>automatická implementácia ikony platobného systému vo verejnej časti Vášho obchodu</li>
    <li>možnosť zobrazovať logá slovenských platobných systémov a typov platobných kariet v zozname platieb v pokladni</li>
    <li>možnosť meniť pozíciu platobnej ikony z administrácie modulu (ľavý / pravý stĺpec, stránka detailu produktu)</li>
    <li>dostupné preklady modulu: slovenský, český, anglický</li>
    <li>rýchla inštalácia</li>
    <li>jednoduché nastavenie</li>
  </ul>
  <h2><i class="fa fa-check-circle"></i> TrustPay umožňuje vykonávať</h2>
  <ul>
    <li>prevody v domácej (slovenskej, alebo českej) banke (*)</li>
    <li>interné prevody medzi TrustPay účtami</li>
    <li>platby bankovou kartou VISA, VISA Electron, MasterCard a Maestro (TrustCard)</li>
    <li>podpora platieb cez Apple Pay</li>
  </ul>
  <p><em>* podporované banky</em><br>
    <strong>Slovensko:</strong> <a title="Tatra banka" href="https://www.tatrabanka.sk/" target="_blank">Tatra banka</a>, <a title="Slovenská sporiteľňa" href="https://www.slsp.sk/" target="_blank">Slovenská sporiteľňa</a>, <a title="VÚB banka" href="https://www.vub.sk/" target="_blank">VÚB banka</a>, <a title="Poštová banka" href="https://www.postovabanka.sk/" target="_blank">Poštová banka</a> a <a title="ČSOB" href="https://www.csob.sk/" target="_blank">ČSOB</a><br>
    <strong>Česká republika:</strong> <a title="Raiffeisen BANK" href="https://www.rb.cz/" target="_blank">Raiffeisen BANK</a>, <a title="Komerční banka" href="https://www.kb.cz/" target="_blank">Komerční banka</a>, <a title="ČSOB" href="https://www.csob.cz/" target="_blank">ČSOB</a>, <a title="mBank" href="https://www.mbank.cz/" target="_blank">mBank</a>, <a title="MONETA Money Bank" href="https://www.moneta.cz/" target="_blank">MONETA</a>, <a title="UniCredit Bank" href="https://www.unicreditbank.cz/" target="_blank">UniCredit Bank</a>, <a title="Fio banka" href="https://www.fio.cz/" target="_blank">Fio banka</a> a <a title="Česká spořitelna" href="https://www.csas.cz/" target="_blank">Česká spořitelna</a><br>
    <br>
    Viac informácií so zoznamom aktuálne podporovaných bánk nájdete na webe <a title="trustpay.eu" href="https://www.trustpay.sk/sluzby/online-bankove-prevody/" target="_blank">https://www.trustpay.sk/sluzby/online-bankove-prevody/</a></p>

<h2><i class="fa fa-wrench"></i> Aktualizácia modulu</h2>
<p>Ak ste doteraz už používali modul TrustPay pre PrestaShop vo verzii 1.7.0 až 1.7.4 od autora Caleydon s.r.o. / Gabriel Schwardy, touto verziou je možné vykonať jeho plynulú aktualizáciu bez nutnosti reinštalácie pôvodného modulu. Po aktualizácii prosím:</p>
<ol>
<li>skontrolujte pôvodné aj nové nastavenia modulu.</li>
<li>vyčistite medzi-pamäť PrestaShopu.</li>
<li>prihláste do obchodníckeho centra TrustPay - <a href="https://ib.trustpay.eu/" target="_blank">https://ib.trustpay.eu</a> a prejdite do nastavení účtu.
<li>zmeňte API z verzie 1 na verziu 2.</li>
<li>zmeňte / nastavte návratové a notifikačnú URL nasledovne (<a href="./assets/img/trustpay-ib-nastavenie.png" target="_blank">otvorte obrázok</a> ako nápovedu):<br>
<br>
Návratová URL v prípade úspešnej platby:<br><strong><?php echo SITE_URL; ?>result.php</strong><br>
<br>
Návratová URL pre zrušenie platby zákazníkom:<br><strong><?php echo SITE_URL; ?>result.php</strong><br>
<br>
Návratová URL v prípade chyby pri spracovaní platby:<br><strong><?php echo SITE_URL; ?>result.php</strong><br>
<br>
URL notifikácie:<br><strong><?php echo SITE_URL; ?>notification.php</strong></li>



  <h2><i class="fa fa-chevron-right"></i> Inštalácia a testovanie modulu</h2>
  <p><strong>Dôležité:</strong></p>
  <ul>
      <li style="color: brown"><strong>Testovanie plnej funkčnosti platobného modulu nie je možné vykonať na localhoste (lokálne v počítači). Dôvodom je, že Notifikačná URL, ktorá mení stav objednávky na základe výsledku platby, je volaná platobnou bránou TrustPay na pozadí a nie pri návrate zákazníka po platbe. Modul preto testujte vždy na online serveri a so zapnutým produkčným režimom PrestaShopu.</strong></li>
  </ul>
  <p>Pozrite si video, ako implementovať a otestovať modul (obsahuje už niektoré neaktuálne informácie, preto postupujte podľa dokumentácie nižšie):<br /><br />
  <iframe src="https://player.vimeo.com/video/369399375?color=c7c7c7&byline=0&portrait=0" class="video-responsive" width="1000" height="563" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe></p>
  <ol>
    <li>Nahrajte ZIP archív modulu kliknutím na tlačidlo &quot;Nahrať modul&quot; v časti <em>Ovládací panel » Moduly » Knižnica modulov</em>.</li>
    <li>Nahratím modulu dôjde rovno aj k jeho inštalácii.</li>
    <li>Na stránke <a href="https://playground.trustpay.eu/Accounts/AccountManagement" target="_blank">https://playground.trustpay.eu/Accounts/AccountManagement</a> si vytvorte testovací účet. Nájdete v ňom potom <strong>ID účtu (AID)</strong> a <strong>Tajný kľúč</strong>.<br>
<br>Súčasne nastavte API na verziu 2. Potom nastavte návratové a notifikačnú URL nasledovne:<br>
<br>
Návratová URL v prípade úspešnej platby:<br><strong><?php echo SITE_URL; ?>result.php</strong><br>
<br>
Návratová URL pre zrušenie platby zákazníkom:<br><strong><?php echo SITE_URL; ?>result.php</strong><br>
<br>
Návratová URL v prípade chyby pri spracovaní platby:<br><strong><?php echo SITE_URL; ?>result.php</strong><br>
<br>
URL notifikácie:<br><strong><?php echo SITE_URL; ?>notification.php</strong><br><br></li>
    <li>Prejdite do nastavení modulu a vložte do neho vyššie spomenuté <em>ID účtu (AID)</em> a <em>Tajný kľúč</em>. Súčasne nastavte voľbu &quot;Online bankové prevody&quot; a &quot;Platby TrustCard&quot; do stavu &quot;<strong>zapnuté - Testovací režim</strong>&quot;.</li>
    <li>Prejdite do časti: <em>Ovládací panel » Platby » Predvoľby » Obmedzenia na základe meny</em>, a v sekcii "Obmedzenia platobných mien" zaškrtnite platobnú menu zhodnú s tou, ktorú ste nastavili v nastaveniach modulu.</li>
    <!-- <li>Ak používate inú šablónu, ako &quot;Classic&quot;, v pokladni vášho e-shopu overte, či má tlačidlo pre potvrdenie objednávok &quot;<em>Objednávka s povinnosťou platby</em>&quot; prítomnú triedu <strong>btn-primary</strong>. Ak áno, pokračujte ďalším krokom. <br>
        Ak nie, je potrebné, aby ste editovali súbor (vyžaduje si to programátorské skúsenosti):<br>
        /themes/NAZOV-SABLONY/templates/checkout/_partials/steps/<strong>payment.tpl</strong><br>
        a doplnili do objektu &lt;button&gt;
    triedu <strong>btn-primary</strong>.</li> -->
        <li>Vykonajte testovanie modulu a overenie jeho správnej činnosti vykonaním fiktívneho nákupu vo Vašom e-shope a zvolením TrustPay  a potom tiež TrustCard platby. Čísla testovacích kariet nájdete na stránke: <a href="https://doc.trustpay.eu/#cards-test-cards" target="_blank">https://doc.trustpay.eu/#cards-test-cards</a></li>
    <li>Ak bolo testovanie úspešné, oznámte to TrustPay a požiadajte ich o prepnutie do Produkčnej prevádzky.</li>
    <li>Po prepnutí do Produkčnej prevádzky Vám TrustPay zašle prístup do Internet bankingu - <a href="https://ib.trustpay.eu/" target="_blank">https://ib.trustpay.eu</a>. Nájdete v ňom nové <em>ID účtu (AID)</em> a <em>Tajný kľúč</em>. Návratové a notifikačnú URL nastavte podľa bodu č.3 (<a href="./assets/img/trustpay-ib-nastavenie.png" target="_blank">otvorte obrázok</a> ako nápovedu).</li>
    <li>Prejdite do nastavenia modulu a nastavte ostré <em>ID účtu (AID)</em> a <em>Tajný kľúč</em> a tiež režim prevádzky do stavu &quot;<strong>zapnuté - Produkčný režim</strong>&quot;.</li>
    <li>Týmto je modul pripravený pre prácu v ostrej prevádzke.</li>
    <li>Pri inštalácii modulu došlo k automatickému umiestneniu ikony platobného systému v detaile produktu verejnej časti obchodu, tiež k vytvoreniu nových stavov objednávok a nahratiu príslušných šablón notifikačných e-mailov do PrestaShop-u. Ak si potrebujete pre Váš e-shopu logá graficky upraviť, stiahnite si ich <a href="./assets/files/trustpay-loga.zip">vektorové verzie</a>.</li>
    <li>Pokiaľ by sa vyskytol problém, skontrolujte najskôr správnosť údajov vložených do nastavení modulu a nastavenia vo Vašom TrustPay účte. Ak problém naďalej pretrváva, kontaktujte prosím spoločnosť TrustPay. Ak požadujete pomoc od autora modulu, táto je spoplatnená.</li>
  </ol>
  <h2><i class="fa fa-info-circle"></i> Dokumentácia a testovacia aplikácia pre obchodníkov</h2>
  <ul>
      <li>Dokumentácia pre developerov: <a href="https://doc.trustpay.eu/" target="_blank">https://doc.trustpay.eu</a></li>
      <li>Testovacie obchodnícke centrum: <a href="https://playground.trustpay.eu/Accounts/AccountManagement" target="_blank">https://playground.trustpay.eu</a></li>
      <li>Internet banking TrustPay: <a href="https://ib.trustpay.eu/" target="_blank">https://ib.trustpay.eu</a></li>
  </ul>
  <h2><i class="fa fa-question-circle"></i> Časté otázky pri prevádzke modulu</h2>
  <!-- <p><strong>V dizajne  modulu TrustPay vo verejnej časti obchodu sa mi zobrazuje pravý / ľavý stĺpec šablóny, aj keď sa pri iných platobných moduloch nezobrazuje. Kde a ako môžem nastaviť zobrazenie stĺpcov?</strong><br>
    <strong>Odpoveď:</strong> Prejdite prosím do časti <em>Ovládací panel &gt; Vzhľad &gt; Šablóny a logá</em>, pri aktuálne zvolenej šablóne kliknite na tlačidlo <em>Zvoľte rozloženie</em>. Následne sa dostanete do časti, kde môžete ovládať zobrazovanie stĺpcov pre rôzne stránky e-shopu. Pre modul TrustPay nájdite položky v tvare &quot;module-trustpay-<em>xxxx</em>&quot; a nastavte zobrazovanie stĺpcov podľa Vášho želania.</p> -->


  <p><i class="fa fa-question-circle"></i><strong> Na stránke výberu platby sa po kliknutí na "Objednávka s povinnosťou platby" nezobrazí vôbec žiadne modálne (vyskakovacie) okno s možnosťami platby (alternatíva: celá stránka sa iba stmaví). V čom je problém?</strong><br>
  <br>
    <strong><i class="fa fa-bullhorn"></i></strong> Je možné, že používate inú, ako vstavanú šablónu PrestaShopu s názvom "Classic", alebo náhradu pokladne vo forme modulu tretej strany. V takom prípade musíte požiadať Vášho developera, aby modul TrustPay prispôsobil funkčne s modulom pokladne.</p>

<p><i class="fa fa-question-circle"></i><strong> Na stránke výberu typu platby dôjde po pár sekundách k samočinnému presmerovaniu na stránku, ktorá oznamuje neúspešnú platbu, alebo chybu. V čom je problém?</strong><br><br>
    <strong><i class="fa fa-bullhorn"></i></strong> Dôvodom je, že v definícii TrustPay platby je nejaká chyba. Server platobnej brány v takom prípade vykoná automatické presmerovanie. Skontrolujte preto dôkladne nastavenia modulu a nastavenia v TrustPay učte. Ak problém pretrváva, skontaktujte spoločnosť TrustPay.</p>

  <p><i class="fa fa-question-circle"></i><strong> Po realizácii platby nedôjde k zmene stavu objednávky a stále má hodnotu &quot;TrustPay platba sa spracováva&quot;. V čom je problém?</strong><br>
  <br>
    <strong><i class="fa fa-bullhorn"></i></strong> Dôvodom je, že modul nedokáže spracovať odpoveď na platbu, ktorú TrustPay odoslal do e-shopu. Môže sa to diať z troch príčin:</p>
  <ol>
      <li>modul zrejme testujete v e-shope, ktorý je na localhoste.</li>
      <li>nemáte v obchodníckom centre TrustPay nastavenú API verziu 2 a vložené návratové  a notifikačnú URL.</li>
      <li>uistite sa, že je Váš PrestaShop zapnutý v produkčnom režime. Skontrolujte tiež, či náhodou  prístup k e-shopu nie je obmedzený  použitím   .htpasswd / .htaccess, používaný developermi pri stavbe webových aplikácií.</li>
    </ol>
  <p><i class="fa fa-question-circle"></i> <strong>Objednávky zaplatené kartou  nadobúda stav &quot;TrustPay platba autorizovaná&quot;. Čo to znamená?</strong><br>
      <br>
      <strong><i class="fa fa-bullhorn"></i></strong> Znamená to, že transakcia prebehla v poriadku a peniaze boli pripísané na váš účet. Ak chcete, viete si v administrácii modulu tento stav spárovať s defaultným stavom PrestaShopu &quot;Platba prijatá&quot;.</p>
  <h2>Informácie o službe TrustPay</h2>
  <p>Všetky aktuálne obchodné podmienky o prevádzkovaní služby TrustPay Vám poskytne TrustPay, a.s.<br>
    Prejdite prosím na web TrustPay: <a href="https://www.trustpay.eu/" target="_blank" title="Prejdite na: trustpay.eu">www.trustpay.eu</a></p>
  <h2>Licencia modulu</h2>
  <ul>
    <li>Modul je distribuovaný bezplatne bez obmedzenia počtu inštalácií. Váš developer môže vykonávať akékoľvek úpravy a modifikácie. Modul nie je možné predávať a meniť kredit autora modulu.</li>
  </ul>
  <h2>Autor modulu</h2>
  <p>Gabriel Schwardy (Caleydon  s.r.o.) - <a href="https://www.prestashop.sk/" target="_blank">www.prestashop.sk</a></p>
  <h2>Pomoc a podpora (bezplatná)</h2>
  <p>E-mail: <a href="mailto:info@trustpay.eu" title="Kontaktujte nás">info@trustpay.eu</a><br>
Telefón: <a href="tel:+421232168450">+421 2 321 68 450</a></p>
  <h2>Platená pomoc a úpravy modulu</h2>
  <p>E-mail: <a href="mailto:addons@caleydon.com" title="Kontaktujte nás">addons@caleydon.com</a></p>
  <br>
</div>
</body>
</html>
