﻿/*
 * Original file: https://mapi.trustpay.eu/mapi5/Scripts/TrustPay/popup.js
*/

$(document).ready(
function () {
    var iframe = document.getElementById("TrustPayFrame");
    var iframecard = document.getElementById("TrustPayFrameCard");

    iframe.style.position = 'fixed';
    iframe.style.left = 0;
    iframe.style.right = 0;
    iframe.style.top = 0;
    iframe.style.bottom = 0;
    iframe.style.width = 0;
    iframe.style.height = 0;
    iframe.style.border = 'none';
    iframe.style.opacity = 0;
    iframe.style.transition = 'opacity .5s ease-in-out';
    iframe.style.zIndex = '99999';

    iframecard.style.position = 'fixed';
    iframecard.style.left = 0;
    iframecard.style.right = 0;
    iframecard.style.top = 0;
    iframecard.style.bottom = 0;
    iframecard.style.width = 0;
    iframecard.style.height = 0;
    iframecard.style.border = 'none';
    iframecard.style.opacity = 0;
    iframecard.style.transition = 'opacity .5s ease-in-out';
    iframecard.style.zIndex = '99999';

    if (window.addEventListener) {
        window.addEventListener("message", onMessage, false);        
    } 
    else if (window.attachEvent) {
        window.attachEvent("onmessage", onMessage, false);
    }

    $("#payment-confirmation button[type='submit']").on("click",
        function (e) {
            e.preventDefault();
            openPopup();
            openPopupCard();
        });
});

function onMessage(event) {
    var data = event.data;

    if (typeof(window[data.func]) === "function") {
        window[data.func].call(null, data.message);
    }
}

function openPopup() {
    var iframe = document.getElementById("TrustPayFrame");
    iframe.style.opacity = 1;
    iframe.style.width = '100%';
    iframe.style.height = '100%';
    iframe.focus();
    iframe.contentWindow.postMessage('redirectMessage', '*');
    iframe.contentWindow.postMessage('authorizationMessage', '*');
}

function openPopupCard() {
    var iframecard = document.getElementById("TrustPayFrameCard");
    iframecard.style.opacity = 1;
    iframecard.style.width = '100%';
    iframecard.style.height = '100%';
    iframecard.focus();
    iframecard.contentWindow.postMessage('redirectMessage', '*');
    iframecard.contentWindow.postMessage('authorizationMessage', '*');
}

function closePopup(message) {
    var iframe = document.getElementById('TrustPayFrame');
    var iframecard = document.getElementById('TrustPayFrameCard');
    iframe.style.opacity = 0;
    iframecard.style.opacity = 0;

    // Delay execution so that the iframe changes dimension only after opacity is 0
    setTimeout(function() {
        iframe.style.width = 0;
        iframe.style.height = 0;
        iframecard.style.width = 0;
        iframecard.style.height = 0;
    }, 1000);
}

function redirectPopup(url) {
    window.top.location.href = url;
}