<!-- MODULE {$module_name} - no_currency.tpl -->

{extends file='page.tpl'}

{block name='page_content'}

{if $nbProducts <= 0}

    <p class="alert alert-warning">
        {if $theme == 'classic'}<i class="material-icons">warning</i>&nbsp;{/if}{l s='Your shopping cart is empty.' mod='trustpay'}
    </p>

{else}

	{* ASSIGN VARIABLES *}

	{if $payment_type == 'trustpay' || !isset($payment_type)}

	    {assign var="md_icon" value="account_balance_wallet"}
	    {assign var="tp_icon" value="trustpay-icon"}
	    {assign var="tp_name" value="{l s='TrustPay payment' mod='trustpay'}"}
	    {assign var="tp_heading" value="{l s='TrustPay domestic bank payment' mod='trustpay'}"}
	    {assign var="tp_intro_text" value="{l s='Pay by instant payment in your domestic bank by TrustPay gateway.' mod='trustpay'}"}
	    {assign var="tp_currency_text" value="{l s='TrustPay gateway accept following currencie only:' mod='trustpay'}"}

	{elseif $payment_type == 'trustcard'}

	    {assign var="md_icon" value="credit_card"}
	    {assign var="tp_icon" value="trustcard-icon"}
	    {assign var="tp_name" value="{l s='TrustCard payment' mod='trustpay'}"}
	    {assign var="tp_heading" value="{l s='TrustCard payment' mod='trustpay'}"}
	    {assign var="tp_intro_text" value="{l s='Pay by your VISA, VISA Electron, MasterCard or Maestro bank card.' mod='trustpay'}"}
	    {assign var="tp_currency_text" value="{l s='TrustCard gateway accept following currencie only:' mod='trustpay'}"}

	{/if}

    <section class="card" id="content-hook_payment_execution">
        <div class="card-block">
            <div class="row">
                <div class="col-md-12">

                    <h3 class="h1 card-title">
                        {if $theme == 'classic'}<i class="material-icons">{$md_icon}</i> {/if}{$tp_name}
                    </h3>
                    <p>
                        {$tp_intro_text}
                    </p>

                </div>
            </div>
        </div>
    </section>

    <section class="card definition-list" id="content-hook_payment_execution">
        <div class="card-block">
            <div class="row">
                <div class="col-md-12">

                <p class="cheque-indent">
                    <strong class="dark">
                        {l s='You are currently using currency' mod='trustpay'} <span id="amount" class="price">{$cart_currency}</span>.
                    </strong>
                </p>
                <p>
                    <strong>{$tp_currency_text} {$currency_accepted}</strong>
                </p>
                <p>
                    {l s='Please change the currency if you want to continue or choose other payment methods.' mod='trustpay'}
                </p>
                <hr>

                <p class="text-xs-center">
                    <a class="btn btn-primary center-block" href="{$link->getPageLink('order', true, NULL, 'step=3')|escape:'html':'UTF-8'}">
                        {if $theme == 'classic'}<i class="material-icons">&#xE314;</i>&nbsp;{/if}{l s='Other payment methods' mod='trustpay'}
                    </a>
                </p>
                        
                </div>
            </div>
        </div>
    </section>

{/if}

{/block}

<!-- /MODULE {$module_name} - no_currency.tpl -->