<!-- MODULE {$module_name} - payment_execution.tpl -->

{extends file='page.tpl'}

{block name='page_content'}

{if $nbProducts <= '0'}

    <p class="alert alert-warning">
        {if $theme == 'classic'}<i class="material-icons">warning</i>&nbsp;{/if}{l s='Your shopping cart is empty.' mod='trustpay'}
    </p>

{else}

	{* ASSIGN VARIABLES *}

	{if $payment_type == 'trustpay' || !isset($payment_type)}

	    {assign var="md_icon" value="account_balance_wallet"}
	    {assign var="tp_icon" value="trustpay-icon"}
	    {assign var="tp_payments_available" value="icons-slovak-banks"}
	    {assign var="tp_name" value="{l s='TrustPay payment' mod='trustpay'}"}
	    {assign var="tp_alt_img" value="{l s='TrustPay logo' mod='trustpay'}"}
	    {assign var="tp_alt_img_available" value="{l s='Available payments' mod='trustpay'}"}
	    {assign var="tp_heading" value="{l s='TrustPay domestic bank payment' mod='trustpay'}"}
	    {assign var="tp_intro_text" value="{l s='Pay by instant payment in your domestic bank by TrustPay gateway.' mod='trustpay'}"}

	{elseif $payment_type == 'trustcard'}

	    {assign var="md_icon" value="credit_card"}
	    {assign var="tp_icon" value="trustcard-icon"}
	    {assign var="tp_payments_available" value="icons-cards"}
	    {assign var="tp_name" value="{l s='TrustCard payment' mod='trustpay'}"}
	    {assign var="tp_alt_img" value="{l s='TrustCard logo' mod='trustpay'}"}
	    {assign var="tp_alt_img_available" value="{l s='Logo: VISA, VISA Electron, MasterCard & Maestro' mod='trustpay'}"}
	    {assign var="tp_heading" value="{l s='TrustCard payment' mod='trustpay'}"}
	    {assign var="tp_intro_text" value="{l s='Pay by your VISA, VISA Electron, MasterCard or Maestro bank card.' mod='trustpay'}"}

	{/if}

    <section class="card" id="content-hook_payment_execution">
        <div class="card-block">
            <div class="row">
                <div class="col-md-12">

                    <h3 class="h1 card-title">
                        {if $theme == 'classic'}<i class="material-icons">{$md_icon}</i>&nbsp; {/if}{$tp_name}
                    </h3>
                    <p>
                        {$tp_intro_text}
                    </p>

                </div>
            </div>
        </div>
    </section>

    <section class="card definition-list" id="content-hook_payment_execution">
        <div class="card-block">
            <div class="row">
                <div class="col-md-12">
                    <dl>
                        <dt>{l s='Amount' mod='trustpay'}</dt>
                        <dd><strong>{$total_to_pay}</strong></dd>
                        <dt>{l s='Payment gateway' mod='trustpay'}</dt>
                        <dd class="{$module_filename}-logos">
                            {if $payment_type == 'trustpay' || !isset($payment_type)}
                                <img src="{$logo_tp}" alt="{$tp_alt_img}">
                            {elseif $payment_type == 'trustcard'}
                                <img src="{$logo_tc}" alt="{$img_alt_tc}">
                            {/if}
                        </dd>
                        <dt>{l s='Available payments' mod='trustpay'}</dt>
                        <dd class="{$module_filename}-logos-execution">
                        {if $payment_type == 'trustpay' || !isset($payment_type)}
                            <img src="{$logo_tb}" alt="{$img_alt_banks}">
                            <img src="{$logo_slsp}" alt="{$img_alt_banks}">
                            <img src="{$logo_vub}" alt="{$img_alt_banks}">
                            <img src="{$logo_csob}" alt="{$img_alt_banks}">
                            <img src="{$logo_pb}" alt="{$img_alt_banks}">
                            <img src="{$logo_ib}" alt="{$img_alt_banks}">
                        {elseif $payment_type == 'trustcard'}
                            <img src="{$logo_visa}" alt="{$img_alt_visa}">
                            <img src="{$logo_visa_electron}" alt="{$img_alt_visa_electron}">
                            <img src="{$logo_mastercard}" alt="{$img_alt_mastercard}">
                            <img src="{$logo_maestro}" alt="{$img_alt_maestro}">
                        {/if}
                        </dd>
                    </dl>

                </div>
            </div>
        </div>
    </section>

    <section class="card definition-list" id="content-hook_payment_execution">
        <div class="card-block">
            <div class="row">
                <div class="col-md-12">
                    <div id="payment-confirmation">

                        <!-- jQuery -->
                        <script src="{$js_path_jq}"></script>
                        <script type="text/javascript" src="{$js_popup}"></script>
                        <iframe id="TrustPayFrame" class="minimize-iframe" src="{$payment_url}?AccountId={$accountid}&Amount={$total}&Currency={$currency}&Reference={$order_id}&ReturnUrl={$rurl}&CancelUrl={$curl}&ErrorUrl={$eurl}&NotificationUrl={$nurl}&PaymentType={$paymenttype}&Signature={$signature}&Localization={$localization}&Country={$country}&Description={$description}&Email={$email}"></iframe>

                        <button class="btn btn-success btn-block submit-button show-popup" type="submit"{if isset($debug) && $debug == '1'} disabled{/if}>
                            <span>{if $theme == 'classic'}<i class="material-icons">open_in_browser</i>&nbsp; {/if}{l s='Display payment options' mod='trustpay'}</span>
                        </button>

                        <p class="text-xs-center {$module_filename}-top-ident">
                            <a class="link" href="{$order_url}">
                                {if $theme == 'classic'}<i class="material-icons">keyboard_arrow_left</i> {/if}{l s='Other payment methods' mod='trustpay'}
                            </a>
                        </p>

                    </div>
                </div>
            </div>
        </div>
    </section>
      
    {if isset($debug) && $debug == '1'}
    <!-- BEGIN: DEBUGGING MODE -->
    <section class="card {$module_filename}-debug-list {$module_filename}-debug-area">
        <div class="card-block">
            <div class="row">
                <div class="col-md-12">

                    <h3 class="h2 card-title">
                        {if $theme == 'classic'}<i class="material-icons">bug_report</i>&nbsp; {/if}{l s='TrustPay' mod='trustpay'} - {l s='Debugging mode' mod='trustpay'}
                    </h3>

                    <dl>
						<dt>Payment Type:</dt>
						<dd>{$payment_type}</dd>
						<dt>Payment URL:</dt>
						<dd>{$payment_url}</dd>
						<dt>Encryption key:</dt>
						<dd><em>{l s='private value - available in the module back-office' mod='trustpay'}</em></dd>
						<dt>AccountId:</dt>
						<dd>{$accountid}</dd>
						<dt>Amount:</dt>
						<dd>{$total}</dd>
						<dt>Currency:</dt>
						<dd>{$currency}</dd>
						<dt>Reference:</dt>
						<dd>{$order_id}</dd>
						<dt>PaymentType:</dt>
						<dd>{$paymenttype}</dd>
						{if !empty($localization)}
							<dt>Localization:</dt>
							<dd>{$localization}</dd>
						{/if}
						{if !empty($country)}
							<dt>Country:</dt>
							<dd>{$country}</dd>
						{/if}
						{if !empty($description)}
							<dt>Description:</dt>
							<dd>{$description}</dd>
						{/if}
						{if !empty($email)}
							<dt>Email:</dt>
							<dd>{$email}</dd>
						{/if}
						<dt>Return URL (ReturnUrl):</dt>
						<dd>{$rurl}</dd>
						<dt>Cancel URL (CancelUrl):</dt>
						<dd>{$curl}</dd>
						<dt>Error URL (ErrorUrl):</dt>
						<dd>{$eurl}</dd>
						<dt>Notification URL (NotificationUrl):</dt>
						<dd>{$nurl}</dd>
						<dt>Data for signing:</dt>
						<dd>{$message}</dd>
						<dt>Signature:</dt>
						<dd>{$signature}</dd>
						<dt>JavaScript URL:</dt>
						<dd>{$js_popup}</dd>
						<dt>iFrame URL:</dt>
						<dd>{$payment_url}?AccountId={$accountid}&Amount={$total}&Currency={$currency}&Reference={$order_id}&ReturnUrl={$rurl}&CancelUrl={$curl}&ErrorUrl={$eurl}&NotificationUrl={$nurl}&PaymentType={$paymenttype}&Signature={$signature}&Localization={$localization}&Country={$country}&Description={$description}&Email={$email}</dd>
					</dl>

                    <p>
                        <strong>{if $theme == 'classic'}<i class="material-icons">error_outline</i>&nbsp;{/if}{l s='Note: Switch off "Debugging mode" immediately if module is in the production environment!' mod='trustpay'}</strong>
                    </p>

                </div>
            </div>
        </div>
    </section>
    <!-- END: DEBUGGING MODE -->
    {/if}

{/if}

{/block}

<!-- /MODULE {$module_name} - payment_execution.tpl -->