<!-- MODULE {$module_name} - result.tpl -->

{extends file='page.tpl'}

{block name='page_content'}

{* ASSIGN VARIABLES *}

{if $payment_status == 'success'}

    {assign var="tp_intro_text" value="{l s='Payment by instant bank wire transfer in your domestic bank by TrustPay gateway.' mod='trustpay'}"}

{elseif $payment_status == 'pending'}

    {assign var="tp_intro_text" value="{l s='Payment by transfer from your TrustPay account.' mod='trustpay'}"}

{elseif $payment_status == 'announced'}

    {assign var="tp_intro_text" value="{l s='Payment by your VISA, VISA Electron, MasterCard or Maestro bank card.' mod='trustpay'}"}

{elseif $payment_status == 'processing'}

    {assign var="tp_intro_text" value="{l s='Payment by your paysafecard prepaid card.' mod='trustpay'}"}

{elseif $payment_status == 'authorizedonly'}

    {assign var="tp_intro_text" value="{l s='Payment by your paysafecard prepaid card.' mod='trustpay'}"}

{elseif $payment_status == 'error' || empty($payment_status)}

    {assign var="tp_intro_text" value="{l s='Payment by your paysafecard prepaid card.' mod='trustpay'}"}

{else}

    {assign var="tp_intro_text" value="{l s='Payment by your paysafecard prepaid card.' mod='trustpay'}"}

{/if}
    
<section class="card" id="content-hook_payment_notification">
    <div class="card-block">
        <div class="row">
            <div class="col-md-12">

                <h3 class="h1 card-title">
                    {if $theme == 'classic'}<i class="material-icons">account_balance_wallet</i>&nbsp;{/if}{l s='TrustPay payment notification' mod='trustpay'}
                </h3>
                    <p>
                        {$tp_intro_text}
                    </p>

            </div>
        </div>
    </div>
</section>

<section class="card definition-list" id="content-hook_payment_notification">
    <div class="card-block">
        <div class="row">
            <div class="col-md-12">

            {if $payment_status == 'success'}

                <!-- TrustPay: SUCCESS status -->

                <p class="alert alert-success">
                    {if $theme == 'classic'}<i class="material-icons">check_circle</i>&nbsp;{/if}{l s='Congratulation!' mod='trustpay'} {l s='TrustPay payment with order' mod='trustpay'} {l s='#' mod='trustpay'} {if !empty($order_reference)}{$order_reference}{else}{$order_id}{/if} {l s='is successfully complete.' mod='trustpay'}
                </p>
                <p>
                    <img src="{$trustpay_logo}" alt="{l s='Payment logo' mod='trustpay'}" class="trustpay-logo img-fluid">
                    {l s='Our staff start preparing package with your order and will be delivered to you soon.' mod='trustpay'}
                </p>
                <p>
                    {l s='If you have questions, comments or concerns, please contact our' mod='trustpay'} <a href='{$contact_url}' rel='nofollow'>{l s='expert customer support team' mod='trustpay'}</a>.
                </p>

            {elseif $payment_status == 'pending'}

                <!-- TrustPay: PENDING status -->

                <p class="alert alert-warning">
                    {if $theme == 'classic'}<i class="material-icons">warning</i>&nbsp;{/if}{l s='Your TrustPay payment with order' mod='trustpay'} {l s='#' mod='trustpay'} {if !empty($order_reference)}{$order_reference}{else}{$order_id}{/if} {l s='is pending.' mod='trustpay'}
                </p>
                <p>
                    <img src="{$trustpay_logo}" alt="{l s='TrustPay logo' mod='trustpay'}" class="trustpay-logo img-fluid">
                    {l s='You\'re choosing offline payment in your bank.' mod='trustpay'} {l s='When your payment will be received, package with ordered products will be sent to you immediately.' mod='trustpay'}
                </p>
                <p>
                    {l s='For any questions or for further information, please contact our' mod='trustpay'} <a href="{$contact_url}" title="{l s='Contact form' mod='trustpay'}" rel="nofollow">{l s='customer support' mod='trustpay'}</a>.
                </p>

            {elseif $payment_status == 'announced'}

                <!-- TrustPay: ANNOUNCED status -->

                <p class="alert alert-success">
                    {if $theme == 'classic'}<i class="material-icons">info</i>&nbsp;{/if}{l s='Congratulation!' mod='trustpay'} {l s='Your TrustPay payment with order' mod='trustpay'} {l s='#' mod='trustpay'} {if !empty($order_reference)}{$order_reference}{else}{$order_id}{/if} {l s='has been announced.' mod='trustpay'}
                </p>
                <p>
                    <img src="{$trustpay_logo}" alt="{l s='TrustPay logo' mod='trustpay'}" class="trustpay-logo img-fluid">
                    <strong>{l s='We are waiting now for verifying your TrustPay payment.' mod='trustpay'}</strong>
                </p>
                <p>
                    <strong>{l s='Our staff start preparing your order as soon as possible when payment will be accepted.' mod='trustpay'}</strong>
                </p>
                <p>
                    {l s='For any questions or for further information, please contact our' mod='trustpay'} <a href="{$contact_url}" title="{l s='Contact form' mod='trustpay'}" rel="nofollow">{l s='customer support' mod='trustpay'}</a>.
                </p>

            {elseif $payment_status == 'authorized'}

                <!-- TrustPay: AUTHORIZED status -->

                <p class="alert alert-success">
                    {if $theme == 'classic'}<i class="material-icons">info</i>&nbsp;{/if}{l s='Congratulation!' mod='trustpay'} {l s='Your TrustPay payment with order' mod='trustpay'} {l s='#' mod='trustpay'} {if !empty($order_reference)}{$order_reference}{else}{$order_id}{/if} {l s='has been authorized successfully.' mod='trustpay'}
                </p>
                <p>
                    <img src="{$trustpay_logo}" alt="{l s='TrustPay logo' mod='trustpay'}" class="trustpay-logo img-fluid">
                    <strong>{l s='We are waiting now for verifying your TrustPay payment.' mod='trustpay'}</strong>
                </p>
                <p>
                    <strong>{l s='Our staff start preparing your order as soon as possible when payment will be accepted.' mod='trustpay'}</strong>
                </p>
                <p>
                    {l s='For any questions or for further information, please contact our' mod='trustpay'} <a href="{$contact_url}" title="{l s='Contact form' mod='trustpay'}" rel="nofollow">{l s='customer support' mod='trustpay'}</a>.
                </p>

            {elseif $payment_status == 'processing'}

                <!-- TrustPay: PROCESSING status -->

                <p class="alert alert-warning">
                    {if $theme == 'classic'}<i class="material-icons">info</i>&nbsp;{/if}{l s='Your TrustPay payment with order' mod='trustpay'} {l s='#' mod='trustpay'} {if !empty($order_reference)}{$order_reference}{else}{$order_id}{/if} {l s='is processing.' mod='trustpay'}
                </p>
                <p>
                    <img src="{$trustpay_logo}" alt="{l s='TrustPay logo' mod='trustpay'}" class="trustpay-logo img-fluid">
                    <strong>{l s='When your payment will be received, package with ordered products will be sent to you immediately.' mod='trustpay'}</strong>
                </p>
                <p>
                    {l s='For any questions or for further information, please contact our' mod='trustpay'} <a href="{$contact_url}" title="{l s='Contact form' mod='trustpay'}" rel="nofollow">{l s='customer support' mod='trustpay'}</a>.
                </p>

            {elseif $payment_status == 'authorizedonly'}

                <!-- TrustPay: AUTHORIZEDONLY status -->

                <p class="alert alert-warning">
                    {if $theme == 'classic'}<i class="material-icons">info</i>&nbsp;{/if}{l s='Your TrustCard payment with order' mod='trustpay'} {l s='#' mod='trustpay'} {if !empty($order_reference)}{$order_reference}{else}{$order_id}{/if} {l s='was successfully authorized, but not captured.' mod='trustpay'}
                </p>
                <p>
                    <img src="{$trustpay_logo}" alt="{l s='TrustPay logo' mod='trustpay'}" class="trustpay-logo img-fluid">
                    {l s='For any questions or for further information, please contact our' mod='trustpay'} <a href="{$contact_url}" title="{l s='Contact form' mod='trustpay'}" rel="nofollow">{l s='customer support' mod='trustpay'}</a>.
                </p>
                <p>&nbsp;</p>

            {elseif $payment_status == 'error' || empty($payment_status)}

            <!-- TrustPay: ERROR error -->

                <p class="alert alert-danger">
                    {if $theme == 'classic'}<i class="material-icons">error</i>&nbsp;{/if}{l s='Something went wrong with your TrustPay or TrustCard payment.' mod='trustpay'}
                </p>
                <p>
                    <img src="{$trustpay_logo}" alt="{l s='Payment logo' mod='trustpay'}" class="trustpay-logo img-fluid">
                    {l s='We noticed a problem with your order.' mod='trustpay'}<br> 
                    {l s='Please contact our' mod='trustpay'} <a href="{$contact_url}" title="{l s='Contact form' mod='trustpay'}" rel="nofollow">{l s='customer support' mod='trustpay'}</a>, {l s='or repeat the payment.' mod='trustpay'}
                </p>
                <p>&nbsp;</p>

            {else}

            <!-- TrustPay: UNKNOWN error -->

                <p class="alert alert-danger">
                    {if $theme == 'classic'}<i class="material-icons">error</i>&nbsp;{/if}{l s='Something went wrong with your order' mod='trustpay'} {l s='#' mod='trustpay'}{$order_reference}.
                </p>
                <p>
                    <img src="{$trustpay_logo}" alt="{l s='Payment logo' mod='trustpay'}" class="trustpay-logo img-fluid">
                    {l s='It seems this page was displayed by accident.' mod='trustpay'} 
                    {l s='Please contact our' mod='trustpay'} <a href="{$contact_url}" title="{l s='Contact form' mod='trustpay'}" rel="nofollow">{l s='customer support' mod='trustpay'}</a>.
                </p>

            {/if}

            </div>
        </div>
    </div>
</section>

<section class="card definition-list" id="content-hook_payment_notification">
    <div class="card-block">
        <div class="row">
            <div class="col-md-12">

            {if $nbProducts <= '0'}

                <p class="text-xs-center">
                    <a class="btn btn-primary" href="{$history_url}">
                        {if $theme == 'classic'}<i class="material-icons">history</i>&nbsp;{/if}{l s='View your order history' mod='trustpay'}
                    </a>
                </p>

            {else}

                <p class="text-xs-center">
                    <a class="btn btn-primary" href="{$order_url}">
                        {if $theme == 'classic'}<i class="material-icons">repeat</i>&nbsp;{/if}{l s='Repeat the payment' mod='trustpay'}
                    </a>
                </p>

            {/if}

            </div>
        </div>
    </div>
</section>

{/block}

<!-- /MODULE {$module_name} - result.tpl -->